Show / Hide Table of Contents

# Class DalamudPluginInterface

This class acts as an interface to various objects needed to interact with Dalamud and the game.

##### Inheritance

System.Object
DalamudPluginInterface

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public class DalamudPluginInterface

### Constructors

#### DalamudPluginInterface(Dalamud)

Set up the interface and populate all fields needed.

##### Declaration

    public DalamudPluginInterface(Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.Dalamud | dalamud |

### Fields

#### ClientState

The ClientState object that allows you to access current client memory information like actors, territories, etc.

##### Declaration

    public readonly ClientState ClientState

##### Field Value

Type | Description
--- | ---
ClientState |

#### CommandManager

The CommandManager object that allows you to add and remove custom chat commands.

##### Declaration

    public readonly CommandManager CommandManager

##### Field Value

Type | Description
--- | ---
CommandManager |

#### Framework

The Framework object that allows you to interact with the client.

##### Declaration

    public readonly Framework Framework

##### Field Value

Type | Description
--- | ---
Framework |